<?php
$nico_colors = 
array(
	'General',
	'Page background'=>array('body','background-color'),
	'Page text color'=>array('body','color'),
	'Paragraphs'=>array('body','color'),
	'Box background'=>array('.content','background-color'),
	'Home slider',
	'Title background'=>array('.tf_content h2, .camera-caption h2','background-color'),
	'Title text'=>array('.tf_content h2, .camera-caption h2','color'),
	'Description background'=>array('.tf_content p, .camera-caption h3','background-color'),
	'Description text'=>array('.tf_content p, .camera-caption h3','color'),
	'Slider button background'=>array('.tf_content a','background-color'),
	'Slider button text'=>array('.tf_content a','color'),
	'Arrows background'=>array('.tf_prev, .tf_next','background-color'),
    'Header',
	'Global Header background'=> array ('#header', 'background-color'), 
	'Homepage Header background'=> array ('#homepage #header', 'background-color'), 
	'Logo text' => array('#logo span', 'color'),
	'Global Logo text' => array('#logo span', 'color'),
	'Homepage Logo text' => array('#homepage #logo span', 'color'),
	'Cart text'=>array('#cart-total','color'),
	'Welcome text'=>array('#header #welcome','color'),
	'Welcome text a'=>array('#header #welcome a','color'),
	'Search text color'=>array('#header #search input','color'),
	'Language & currency text'=>array('.dk_toggle','color'),
	'Menu',
	'Global Menu text' => array('#menu > div > ul > li > a', 'color'),
	'Homepage Menu text' => array('#homepage #menu > div > ul > li > a', 'color'),
	'Menu background' => array('#menu > div', 'background'),
	'Menu background hover'=>array ('#header > #menu > div > ul > li:hover','background'),
	'Menu text hover'=>array ('#menu li:hover a','color'),
	'Submenu background'=>array ('#header > #menu > div > ul > li div', 'background'),
	'Submenu background hover'=>array ('#header > #menu > div > ul > li ul > li > a:hover','background'), 
	'Submenu text'=>array ('#header > #menu > div > ul > li > div > ul > li > a','color'),
	'Submenu text hover'=>array ('#header > #menu > div > ul > li ul > li > a:hover','color'), 
	'Products',
	'Title category page'=>array ('.cat_heading','color'),
	'Products title'=>array('.box-product .name a, .product-grid .name a', 'color'),
	'Products price' =>array('.box-product .price, .product-grid .price', 'color'),
	'Products new price'=>array('.box-product .price-new, .product-grid .price-new','color'), 
	'Products old price'=>array('.box-product .price-old, .product-grid .price-old','color'),	
	'Products image border'=>array('.box-product div.image, .product-grid .image','border-color'),	
	'Product page',
	'Product title'=>array ('.product-info h1','color'),
	'Product price'=>array ('.product-info > .right > .price > .price-p', 'color'),
	'Product tax price'=>array ('.product-info > .right > .price > .price-tax', 'color'),
	'Product old price'=>array ('.product-info > .right > .price > .price-old', 'color'),
	'Product new price'=>array ('.product-info > .right > .price > .price-new', 'color'),
	'Footer',
	'Follow us background'=>array('.column span','background'),	
	'Footer column text'=>array ('#footer h3','color'),
	'Footer text'=> array ('#footer .column a', 'color'), 
	'Powered text'=>array('#powered','color'),
	'Powered text a'=>array('#powered a','color'),
);


$nico_fonts = 
array(
    'Header'=> '',
	'Logo ' => '#header #logo a',
	'Welcome text'=>'#header #welcome',
	'Cart text'=>'#cart-total',
	'Search text'=>'#header #search input',
	'Menu'=> '',
	'Menu text ' => '#menu a',
	'Submenu text'=> '#header > #menu > div > ul > li > div > ul > li > a',
    'ThumbFlip Slider'=> '',
	'Slide title ' => '.tf_content .ei-title h2',
	'Slide description'=>'.tf_content .ei-title p',
	'Slide link'=>'.tf_content .ei-title a',
	'Global' => '',
	'Body text ' => 'body',
	'Social band title'=>'#social_band h3',
	'Social band text'=>'#twitter_update_list li',
	'Products' => '',
	'Title text category'=>'.cat_heading',	
	'Products title' => '.box-product .name a, .product-grid .name a',
	'Products price'=> '.box-product .price, .product-grid .price',
	'Products new price'=>'.box-product .price-new, .product-grid .price-new',
	'Products old price'=>'.box-product .price-old, .product-grid .price-old',
	'Product page'=> '',
	'Product title' => '.product-info h1',
	'Product price'=> '.product-info .price > span.price-p',
	'Product price-tax'=> '.product-info .price-tax',
	'Product description'=>'#tab-description p',
	
);

$nico_options = 
array(
    'Header',
	'Show logo text'=> array ('#header #logo a span', 'display', array ('Show'=>'inline', 'Hide'=> 'none')),
	'Show logo image'=> array ('#header #logo a img', 'display',array ('Hide'=>'none', 'Show'=>'block')),
	'Show welcome visitor'=> array('#header #welcome','display', array('Show'=> 'block',  'Hide'=> 'none')),
	'Show language'=> array ('#language', 'display', array('Show'=>'block', 'Hide'=> 'none')),
	'Show currency'=> array('#currency', 'display',array ('Show'=> 'block', 'Hide'=> 'none')),
	'Show search'=> array('#search', 'display',array ('Show'=> 'block', 'Hide'=> 'none')),
	'Show top header'=> array('#header-top', 'display', array ('Show'=> 'block', 'Hide'=> 'none')),
	'Logo vertical align'=> array(' #header #logo a', 'vertical-align',array ('Top'=> 'top','Bottom'=>'bottom', 'Middle'=> 'middle')),
	'Product page',
	'Show share'=> array ('.share','display',array ('Hide'=> 'none', 'Show'=> 'block')),
	'Show review'=> array (' .review','display',array('Show'=> 'block', 'Hide'=>'none')),
	'Show wishlist, compare'=> array ('.product-info .product_wish_compare','display',array('Hide'=>'none', 'Show'=> 'block')),
	'Description height'=> array ('#tab-description','height',array('Auto (no scroll)'=> 'auto', 'Small'=>'125px', 'Medium'=>'200px', 'Large'=>'300px', 'Larger'=>'500px')),
	'Show products border'=> array ('.box-product div.image, .product-grid .image','border',array ('Hide'=> 'none', 'Show'=> '1px solid #CCCCCC')),
	'Category page',
	'Show category info' => array('.category-info', 'display', array('Hide' => 'none', 'Show' => 'block')),
	'Show subcategories list' => array('.category-list', 'display', array('Hide' => 'none', 'Show' => 'block')),
	'Show product add to cart' => array('.box-product > div .cart, .product-grid > div .cart', 'display', array('Hide' => 'none', 'Show' => 'block')),
	'Show product description' => array('.box-product .description, .product-grid .description', 'display', array('Hide' => 'none', 'Show' => 'block')),
	'Show sale badge on products' => array('.product_sale', 'display', array('Show' => 'block', 'Hide' => 'none')),
	'Footer',
	'Show footer'=> array('#footer' ,'display' ,array('Show'=> 'block', 'Hide'=> 'none')),
	'Show social band'=> array('#social_band' ,'display' ,array('Hide'=> 'none', 'Show'=> 'block')),
	'Show powered by' => array('#powered > span', 'display', array('Show' => 'block',  'Hide' => 'none')),
	'Show payment icons'=> array('ul.payment-icons', 'display', array('Hide'=> 'none','Show'=> 'block')),
	'Show phone icon'=> array('.column #phone','display', array('Show' => 'block', 'Hide'=> 'none')),
	'Show twitter icon'=> array('.column #twitter','display', array('Show' => 'block', 'Hide'=> 'none')),
	'Show facebook icon'=> array('.column #facebook','display', array('Show' => 'block', 'Hide'=> 'none')),
	'Show google icon'=> array('.column #google','display', array('Show' => 'block', 'Hide'=> 'none')),
	'Show pinterest icon'=> array('.column #pinterest','display', array('Show' => 'block', 'Hide'=> 'none')),
	'Show instagram icon'=> array('.column #instagram','display', array('Show' => 'block', 'Hide'=> 'none')),
	'Show rss icon'=> array('.column #rss','display', array('Show' => 'block', 'Hide'=> 'none')),
    
);


$nico_settings = 
array(
	'Header',
	'Search bar location'=> array('#search', 'menu_search', 'select', array('Left menu' => 'left', 'Top header' => 'top')),
	'Language selector location'=> array('#language', 'menu_language', 'select', array('Left menu' => 'left', 'Top header' => 'top')),
	'Currency selector location'=> array('#currency', 'menu_currency', 'select', array('Left menu' => 'left', 'Top header' => 'top')),
	'Product page',
	'Show related products'=> array('#product_page_related_products', 'product_page_related', 'select', array('Under product details' => 'under', 'As a tab' => 'tab', 'Under photo gallery' => 'gallery')),
	'Description tab location'=> array('#product_page_related_products', 'product_description', 'select', array('Right' => 'right', 'Bottom' => 'bottom')),
	'Image gallery thumbs location'=> array('#product_page_thumbs_location', 'thumbs_location', 'select', array('Bottom' => 'bottom', 'Left' => 'left')),
	'Footer',
	'Follow us'=> array('#follow_us', 'follow_us', 'text'), 
	'Phone number'=> array('#phone', 'phone_number', 'text'), 
	'Twitter url'=> array('#twitter', 'twitter', 'href'),
	'Instagram url'=> array('#instagram', 'instagram', 'href'),
	'Pinterest url'=> array('#pinterest', 'pinterest', 'href'),
	'Facebook url'=> array('#facebook', 'facebook', 'href'),
	'Google url'=> array('#google', 'google', 'href'),
	'Rss url'=> array('#rss', 'rss', 'href'),
	'Misc',
	'Homepage logo image'=> array('#homepage_logo', 'homepage_logo', 'text'),
	'Disable responsive resize'=> array('#responsive_css', 'responsive_css', 'checkbox'),
	'Sale text'=> array('.product_sale', 'sale_text', 'text'),
	'Notification hide timeout (0 disabled)'=> array('#notification_hide_timeout', 'notification_hide_timeout', 'text'),
	'Social band',
	'Twitter id'=> array('#twitter_profile_id ', 'twitter_profile_id', 'text'),
	'Facebook profile id'=> array('#fb_profile_id', 'fb_profile_id', 'text'),
	'Social band about',
	'About us'=> array('#social_about > div', 'about_text', 'textarea'),
	'First visit message (useful for European Union cookie law)',
	'Message'=> array('#first_visit_message', 'first_visit_message', 'textarea'),
	'Custom css',
	'Css'=> array('#custom_css', 'custom_css', 'textarea'),
);


$nico_sliders = 
array(
	'Homepage' => array( 
		'Thumbflip'=> 
			array(
			'Slideshow speed' => array('name' => 'slideshowSpeed', 'type' => 'text', 'default' => '7000'), 
			'Show thumb image' => array('name' => 'showThumb', 'type' => 'bool', 'default' => 'true'),	
			'Show thumb zoom button' => array('name' => 'tf_zoom', 'type' => 'bool', 'default' => 'true'),	
			'Show arrows' => array('name' => 'showArrows', 'type' => 'bool', 'default' => 'true'),	
			'Show arrows background' => array('name' => 'showArrowBack', 'type' => 'bool', 'default' => 'false'),	
			'Link text' => array('name' => 'linkText', 'type' => 'text', 'default' => 'Buy now'), 
			),
   		'Camera slider'=> array(
			'Alignment' => array('name' => 'alignment', 'type' => 'select', 
								  'options' => array('topLeft', 'topCenter', 'topRight', 'centerLeft', 'center', 'centerRight', 'bottomLeft', 'bottomCenter', 'bottomRight'), 'default' => 'center'),
			'Auto advance' => array('name' => 'autoAdvance', 'type' => 'bool', 'default' => 'true'),								  
			'Mobile auto advance' => array('name' => 'mobileAutoAdvance', 'type' => 'bool', 'default' => 'true'),								  
			'Bar direction' => array('name' => 'barDirection', 'type' => 'select', 
								  'options' => array('leftToRight', 'rightToLeft', 'topToBottom', 'bottomToTop'), 'default' => 'leftToRight'),
			'Bar position' => array('name' => 'barPosition', 'type' => 'select', 
								  'options' => array('bottom', 'left', 'top', 'right'), 'default' => 'bottom'),
			'Columns' => array('name' => 'cols', 'type' => 'text', 'default' => '6'), 								
		    'Easing animation' => array('name' => 'easing', 'type' => 'select', 
								'options' => array('jswing','def','easeInQuad','easeOutQuad','easeInOutQuad','easeInCubic','easeOutCubic','easeInOutCubic','easeInQuart','easeOutQuart','easeInOutQuart','easeInQuint','easeOutQuint','easeInOutQuint','easeInSine','easeOutSine','easeInOutSine','easeInExpo','easeOutExpo','easeInOutExpo','easeInCirc','easeOutCirc','easeInOutCirc','easeInElastic','easeOutElastic','easeInOutElastic','easeInBack','easeOutBack','easeInOutBack','easeInBounce','easeOutBounce','easeInOutBounce','jswing','def','easeInQuad','easeOutQuad','easeInOutQuad','easeInCubic','easeOutCubic','easeInOutCubic','easeInQuart','easeOutQuart','easeInOutQuart','easeInQuint','easeOutQuint','easeInOutQuint','easeInSine','easeOutSine','easeInOutSine','easeInExpo','easeOutExpo','easeInOutExpo','easeInCirc','easeOutCirc','easeInOutCirc','easeInElastic','easeOutElastic','easeInOutElastic','easeInBack','easeOutBack','easeInOutBack','easeInBounce','easeOutBounce','easeInOutBounce'), 
								'default' => 'easeInOutExpo'), 
		    'Mobile easing animation' => array('name' => 'mobileEasing', 'type' => 'select', 
								'options' => array('jswing','def','easeInQuad','easeOutQuad','easeInOutQuad','easeInCubic','easeOutCubic','easeInOutCubic','easeInQuart','easeOutQuart','easeInOutQuart','easeInQuint','easeOutQuint','easeInOutQuint','easeInSine','easeOutSine','easeInOutSine','easeInExpo','easeOutExpo','easeInOutExpo','easeInCirc','easeOutCirc','easeInOutCirc','easeInElastic','easeOutElastic','easeInOutElastic','easeInBack','easeOutBack','easeInOutBack','easeInBounce','easeOutBounce','easeInOutBounce','jswing','def','easeInQuad','easeOutQuad','easeInOutQuad','easeInCubic','easeOutCubic','easeInOutCubic','easeInQuart','easeOutQuart','easeInOutQuart','easeInQuint','easeOutQuint','easeInOutQuint','easeInSine','easeOutSine','easeInOutSine','easeInExpo','easeOutExpo','easeInOutExpo','easeInCirc','easeOutCirc','easeInOutCirc','easeInElastic','easeOutElastic','easeInOutElastic','easeInBack','easeOutBack','easeInOutBack','easeInBounce','easeOutBounce','easeInOutBounce'), 
								'default' => 'easeInOutExpo'), 
			'Animation type' => array('name' => 'fx', 'type' => 'select', 'options' => array('random','simpleFade', 'curtainTopLeft', 'curtainTopRight', 'curtainBottomLeft', 'curtainBottomRight', 'curtainSliceLeft', 'curtainSliceRight', 'blindCurtainTopLeft', 'blindCurtainTopRight', 'blindCurtainBottomLeft', 'blindCurtainBottomRight', 'blindCurtainSliceBottom', 'blindCurtainSliceTop', 'stampede', 'mosaic', 'mosaicReverse', 'mosaicRandom', 'mosaicSpiral', 'mosaicSpiralReverse', 'topLeftBottomRight', 'bottomRightTopLeft', 'bottomLeftTopRight', 'bottomLeftTopRight'), 
								'default' => 'random'), 
			'Mobile animation type' => array('name' => 'mobileFx', 'type' => 'select', 'options' => array('random','simpleFade', 'curtainTopLeft', 'curtainTopRight', 'curtainBottomLeft', 'curtainBottomRight', 'curtainSliceLeft', 'curtainSliceRight', 'blindCurtainTopLeft', 'blindCurtainTopRight', 'blindCurtainBottomLeft', 'blindCurtainBottomRight', 'blindCurtainSliceBottom', 'blindCurtainSliceTop', 'stampede', 'mosaic', 'mosaicReverse', 'mosaicRandom', 'mosaicSpiral', 'mosaicSpiralReverse', 'topLeftBottomRight', 'bottomRightTopLeft', 'bottomLeftTopRight', 'bottomLeftTopRight'), 
								'default' => 'random'), 
			'Grid difference' => array('name' => 'gridDifference', 'type' => 'text', 'default' => '250'), 								
			'Height' => array('name' => 'height', 'type' => 'text', 'default' => 'auto'), 		
			'Pause on hover' => array('name' => 'hover', 'type' => 'bool', 'default' => 'true'),								  						
			'Loader' => array('name' => 'loader', 'type' => 'select', 
								  'options' => array('pie', 'bar', 'none'), 'default' => 'pie'),
			'Loader color' => array('name' => 'loaderColor', 'type' => 'color', 'default' => '#eeeeee'),									  
			'Loader background color' => array('name' => 'loaderBgColor', 'type' => 'color', 'default' => '#222222'),									  
			'Loader opacity' => array('name' => 'loaderOpacity', 'type' => 'text', 'default' => '0.8'), 		
			'Loader padding' => array('name' => 'loaderPadding', 'type' => 'text', 'default' => '2'), 		
			'Loader stroke' => array('name' => 'loaderStroke', 'type' => 'text', 'default' => '7'), 		
			'Min height' => array('name' => 'minHeight', 'type' => 'text', 'default' => '200px'), 		
			'Navigation' => array('name' => 'navigation', 'type' => 'bool', 'default' => 'true'),								  
			'Navigation hover' => array('name' => 'navigationHover', 'type' => 'bool', 'default' => 'true'),								  
			'Mobile navigation hover' => array('name' => 'mobileNavHover', 'type' => 'bool', 'default' => 'true'),								  
			'Opacity on grid' => array('name' => 'opacityOnGrid', 'type' => 'bool', 'default' => 'false'),								  
			'Overlayer' => array('name' => 'overlayer', 'type' => 'bool', 'default' => 'true'),								  
			'Pagination' => array('name' => 'pagination', 'type' => 'bool', 'default' => 'false'),								  
			'Pause on click' => array('name' => 'pauseOnClick', 'type' => 'bool', 'default' => 'true'),								  
			'Play pause' => array('name' => 'playPause', 'type' => 'bool', 'default' => 'true'),								  
			'Pie diameter' => array('name' => 'pieDiameter', 'type' => 'text', 'default' => '38'), 		
			'Pie position' => array('name' => 'piePosition', 'type' => 'select', 
								  'options' => array('rightTop', 'leftTop', 'leftBottom', 'rightBottom'), 'default' => 'rightTop'),
			'Portrait' => array('name' => 'portrait', 'type' => 'bool', 'default' => 'false'),								  
			'Rows' => array('name' => 'rows', 'type' => 'text', 'default' => '4'),
			'Sliced cols' => array('name' => 'slicedCols', 'type' => 'text', 'default' => '12'),
			'Sliced rows' => array('name' => 'slicedRows', 'type' => 'text', 'default' => '8'),
			'Slide on' => array('name' => 'slideOn', 'type' => 'select', 
								  'options' => array('next', 'prev', 'random'), 'default' => 'random'),
			'Thumbnails' => array('name' => 'thumbnails', 'type' => 'bool', 'default' => 'false'),		
			'Time' => array('name' => 'time', 'type' => 'text', 'default' => '7000'),						  
			'Trans period' => array('name' => 'transPeriod', 'type' => 'text', 'default' => '1500')
		),
	'Nivo slider'=> array(
			'Effect' => array('name' => 'effect', 'type' => 'select', 
							  'options' => array('Random', 'sliceDownRight','sliceDownLeft','sliceUpRight','sliceUpLeft','sliceUpDown','sliceUpDownLeft','fold','fade',
							  'boxRandom','boxRain','boxRainReverse','boxRainGrow','boxRainGrowReverse'),
							  'default' => 'random'), 
			'Slices'=> array('name' => 'slices', 'type' => 'text', 'default' => '15'), 
			'Box columns'=> array('name' => 'boxCols', 'type' => 'text', 'default' => '8'), 
			'Box rows'=> array('name' => 'boxRows', 'type' => 'text', 'default' => '4'), 
			'Animation speed' => array('name' => 'animSpeed', 'type' => 'text', 'default' => '500'), 
			'Pause time'=> array('name' => 'pauseTime', 'type' => 'text', 'default' => '3000'), 
			'Start slide number'=> array('name' => 'startSlide', 'type' => 'text', 'default' => '0'), 
			'Prev text' => array('name' => 'prevText', 'type' => 'text', 'default' => 'Prev'),	
			'Next text' => array('name' => 'nextText', 'type' => 'text', 'default' => 'Next'),	

			'Next & Prev navigation' => array('name' => 'directionNav', 'type' => 'bool', 'default' => 'true'),
			'Show pagination control' => array('name' => 'controlNav', 'type' => 'bool', 'default' => 'true'),
			'Use thumbnails for navigation'  => array('name' => 'controlNavThumbs', 'type' => 'bool', 'default' => 'false'),
			'Stop animation while hovering' => array('name' => 'pauseOnHover', 'type' => 'bool', 'default' => 'true'),
			'Force manual transitions'  => array('name' => 'manualAdvance', 'type' => 'bool', 'default' => 'false'),
			'Start on a random slide'  => array('name' => 'randomStart', 'type' => 'bool', 'default' => 'true'),
        )		
	), 
	'Product page' => array(
		'Cloud zoom'=> array(
			'Width of the zoom window' => array('name' => 'zoomWidth', 'type' => 'text', 'default' => 'auto'),	
			'Height of the zoom window' => array('name' => 'zoomHeight', 'type' => 'text', 'default' => 'auto'),	
			'Position' => array('name' => 'position', 'type' => 'select', 
								  'options' => array('left', 'right', 'top', 'bottom', 'inside'),
								  'default' => 'inside'), 		
			'X position' => array('name' => 'adjustX', 'type' => 'text', 'default' => '0'),	
			'Y position' => array('name' => 'adjustY', 'type' => 'text', 'default' => '0'),	
			'Tint color' => array('name' => 'tintColor', 'type' => 'color', 'default' => ''),	
			'Tint opacity' => array('name' => 'tintOpacity', 'type' => 'text', 'default' => '0.5'),	
			'Lens opacity' => array('name' => 'lensOpacity', 'type' => 'text', 'default' => '0.5'),	
			'Soft focus' => array('name' => 'softFocus', 'type' => 'bool', 'default' => 'false'),	
			'Smooth move' => array('name' => 'smoothMove', 'type' => 'text', 'default' => '3'),	
			'Show title' => array('name' => 'showTitle', 'type' => 'bool', 'default' => 'false'),	
			'Soft focus' => array('name' => 'titleOpacity', 'type' => 'text', 'default' => '0.5'),	
			),
	),
);

$nico_sliders['Product page']['Opencart default gallery'] = array();
