<?php echo str_replace('$column_left', $column_left, $header); ?><?php echo $column_right; ?>
<?php 
	if (isset($_SERVER['SCRIPT_FILENAME']))
	{
		$_theme_include_path = dirname($_SERVER['SCRIPT_FILENAME']) . '/catalog/view/theme/nico/';
	} else if (isset($_SERVER['DOCUMENT_ROOT']))
	{
		$_theme_include_path = $_SERVER['DOCUMENT_ROOT'] . '/catalog/view/theme/nico/';
	} else $_theme_include_path = dirname(__FILE__) . '/../../';

	include($_theme_include_path . '/nico_theme_editor/settings.inc');
?>  	
<div id="content">
  <?php echo $content_top; ?>
  <div class="clearfix cat-head">
	  <div class="cat-nav">
		  <div class="cat-header clearfix">
		  <div class="breadcrumb">
			<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
			<?php } ?>
		  </div>
			<h1 class="cat_heading"><?php echo $heading_title; ?></h1>
		  </div>
	  </div>
	  
	  <?php /*if ($categories) { ?>
	  <h2 class="cat_refine clearfix"><?php echo $text_refine; ?></h2>
	  <?php } */?>
	  
	  <?php if ($products) { 
			/*if (!$categories) { ?><div class="clearfix block"><?}*/?>
	  <div class="product-filter">
		<div class="product-compare"><a href="<?php echo $compare; ?>" id="compare-total"><?php echo $text_compare; ?></a></div>	  
		<!-- <div class="display"><a onclick="display('list');"><img src="catalog/view/theme/nico/image/list.png"></a> <img src="catalog/view/theme/nico/image/grid.png"></div> -->
		<div class="limit">
		  <select id="limit_select" onchange="location = this.value;" tabindex="3">
			<?php foreach ($limits as $limits) { ?>
			<?php if ($limits['value'] == $limit) { ?>
			<option value="<?php echo $limits['href']; ?>" selected="selected"><?php echo $limits['text']; ?></option>
			<?php } else { ?>
			<option value="<?php echo $limits['href']; ?>"><?php echo $limits['text']; ?></option>
			<?php } ?>
			<?php } ?>
		  </select>
		</div>
		
		<div class="sort">
		  <select id="sort_select" onchange="location = this.value;" tabindex="4">
			<?php foreach ($sorts as $sorts) { ?>
			<?php if ($sorts['value'] == $sort . '-' . $order) { ?>
			<option value="<?php echo $sorts['href']; ?>" selected="selected"><?php echo $sorts['text']; ?></option>
			<?php } else { ?>
			<option value="<?php echo $sorts['href']; ?>"><?php echo $sorts['text']; ?></option>
			<?php } ?>
			<?php } ?>
		  </select>
		</div>
	   </div>    
	   <?php }?>
  </div>
  
  <?php if ($thumb || $description) { ?>
	 <div class="category-info clearfix">
		<?php if ($thumb) { ?>
		<div class="image"><img src="<?php echo $thumb; ?>" alt="<?php echo $heading_title; ?>" /></div>
		<?php } ?>
		<?php if ($description) { ?>
		<?php echo $description; ?>
		<?php } ?>
	  </div>
  <?php } ?>
   
  <?php /*if (!$categories) { ?></div><?} }*/?>
  
  <?php if ($categories) { ?>
  <div class="category-list clearfix">
    <?php if (count($categories) <= 5) { ?>
    <ul>
      <?php foreach ($categories as $category) { ?>
      <li><a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a></li>
      <?php } ?>
    </ul>
    <?php } else { ?>
    <?php for ($i = 0; $i < count($categories);) { ?>
    <ul>
      <?php $j = $i + ceil(count($categories) / 4); ?>
      <?php for (; $i < $j; $i++) { ?>
      <?php if (isset($categories[$i])) { ?>
      <li><a href="<?php echo $categories[$i]['href']; ?>"><?php echo $categories[$i]['name']; ?></a></li>
      <?php } ?>
      <?php } ?>
    </ul>
    <?php } ?>
    <?php } ?>
  </div>
  <?php } ?>
  <?php if ($products) { ?>
  <div class="product-grid clearfix"><!--  data-liffect="fadeIn" -->
    <?php $_counter = 0;foreach ($products as $product) { ?>
    <div<?php 
				$_counter++;
				$_mod = $_counter % 3;
				if ($_mod == 0) echo ' class="last"';
				if ($_mod == 1) echo ' class="first"';
		?>>
	  <?php if ($product['special']) { ?><div class="product_sale"><?php if (isset($_nico_settings['settings']['sale_text']) && !empty($_nico_settings['settings']['sale_text'])) echo $_nico_settings['settings']['sale_text']; 
		else echo 'sale';?></div><?php } ?>
      <?php if ($product['thumb']) { ?>
      <div class="image"><a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" title="<?php echo $product['name']; ?>" alt="<?php echo $product['name']; ?>" /></a></div>
      <?php } ?>
      <?php if ($product['price']) { ?>
      <div class="name"><a href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a></div>
      <div class="description"><?php if (isset($product['description'])) {?><?php echo $product['description']; ?><?php } ?></div>
      <div class="price<?php if ($product['special']) { ?> price_sale<?php }?>">
        <?php if (!$product['special']) { ?>
        <?php echo $product['price']; ?>
        <?php } else { ?>
        <span class="price-old"><?php echo $product['price']; ?></span> <span class="price-new"><?php echo $product['special']; ?></span>
        <?php } ?>
        <?php if ($product['tax']) { ?>
        <span class="price-tax"><?php echo $text_tax; ?> <?php echo $product['tax']; ?></span>
        <?php } ?>
      </div>
      <?php } ?>      
      <?php if ($product['rating']) { ?>
      <div class="rating"><img src="catalog/view/theme/nico/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" /></div>
      <?php } ?>
      <div class="cart">
        <input type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="button" />
      </div>
      <div class="wishlist"><a onclick="addToWishList('<?php echo $product['product_id']; ?>');"><?php echo $button_wishlist; ?></a></div>
      <div class="compare"><a onclick="addToCompare('<?php echo $product['product_id']; ?>');"><?php echo $button_compare; ?></a></div>
    </div>
    <?php } ?>
  </div>
  <div class="pagination clearfix"><?php echo $pagination; ?></div>
  <?php } ?>
  <?php if (!$categories && !$products) { ?>
  <div class="content"><?php echo $text_empty; ?></div>
  <div class="buttons">
    <div class="right"><a href="<?php echo $continue; ?>" class="button"><?php echo $button_continue; ?></a></div>
  </div>
  <?php } ?>
  <?php echo $content_bottom; ?></div>
  </div>
<script type="text/javascript"><!--
function display(view) {
	if (view == 'list') {
		$('.product-grid').attr('class', 'product-list');
		
	/*	$('.product-list > div').each(function(index, element) {
			html  = '<div class="right">';
			html += '  <div class="cart">' + $(element).find('.cart').html() + '</div>';
			html += '  <div class="wishlist">' + $(element).find('.wishlist').html() + '</div>';
			html += '  <div class="compare">' + $(element).find('.compare').html() + '</div>';
			html += '</div>';			
			
			html += '<div class="left">';
			
			var image = $(element).find('.image').html();
			
			if (image != null) { 
				html += '<div class="image">' + image + '</div>';
			}
			
			var price = $(element).find('.price').html();
			
			if (price != null) {
				html += '<div class="price">' + price  + '</div>';
			}
					
			html += '  <div class="name">' + $(element).find('.name').html() + '</div>';
			html += '  <div class="description">' + $(element).find('.description').html() + '</div>';
			
			var rating = $(element).find('.rating').html();
			
			if (rating != null) {
				html += '<div class="rating">' + rating + '</div>';
			}
				
			html += '</div>';

						
			$(element).html(html);
		});		*/
		
		$('.display').html('<img src="catalog/view/theme/nico/image/list.png"><?php echo $text_list; ?> <a onclick="display(\'grid\');"><img src="catalog/view/theme/nico/image/grid.png"> <?php echo $text_grid; ?></a>');
		
		$.cookie('display', 'list'); 
	} else {
		$('.product-list').attr('class', 'product-grid');
		
	/*	$('.product-grid > div').each(function(index, element) {
			html = '';
			
			var image = $(element).find('.image').html();
			
			if (image != null) {
				html += '<div class="image">' + image + '</div>';
			}
			
			var price = $(element).find('.price').html();
			
			if (price != null) {
				html += '<div class="price">' + price  + '</div>';
			}

			html += '<div class="name">' + $(element).find('.name').html() + '</div>';
			//html += '<div class="description">' + $(element).find('.description').html() + '</div>';
			
			
			var rating = $(element).find('.rating').html();
			
			if (rating != null) {
				html += '<div class="rating">' + rating + '</div>';
			}
						
			html += '<div class="cart">' + $(element).find('.cart').html() + '</div>';
			html += '<div class="wishlist">' + $(element).find('.wishlist').html() + '</div>';
			html += '<div class="compare">' + $(element).find('.compare').html() + '</div>';
			
			$(element).html(html);
		});	
		*/			
		$('.display').html('<a onclick="display(\'list\');"><img src="catalog/view/theme/nico/image/list.png"><?php echo $text_list; ?></a>  <img src="catalog/view/theme/nico/image/grid.png"><?php echo $text_grid; ?>');
		
		$.cookie('display', '');
	}
	
	//e.preventDefault();
	return false;
}

view = $.cookie('display');

if (view) {
	display(view);
} else {
//	display('grid');
}
//--></script> 
<script>
	$(document).ready(function () {
    $("div[data-liffect] > div").each(function (i) {
        $(this).attr("style", "-webkit-animation-delay:" + i * 500 + "ms;"
                + "-moz-animation-delay:" + i * 500 + "ms;"
                + "-o-animation-delay:" + i * 500 + "ms;"
                + "animation-delay:" + i * 500 + "ms;");
        if (i == $("div[data-liffect] > div").size() -1) {
            $("div[data-liffect]").addClass("play")
        }
    });
});
</script>
<?php echo $footer; ?>
